# Uses of Class
net.shibboleth.idp.session.context.LogoutPropagationContext

Packages that use LogoutPropagationContext
Package
Description
net.shibboleth.idp.saml.saml2.profile.impl
Profile processing actions related to SAML 2 messages.
net.shibboleth.idp.saml.session.impl
Implementation classes for SAML-specific session functionality.
net.shibboleth.idp.session.impl
Implementations of session-related classes and interfaces.

## Uses of LogoutPropagationContext in net.shibboleth.idp.saml.saml2.profile.impl

Fields in net.shibboleth.idp.saml.saml2.profile.impl declared as LogoutPropagationContext
Modifier and Type
Field
Description
`private LogoutPropagationContext`
SOAPLogoutRequest.`propagationContext`
LogoutPropagationContext.
Fields in net.shibboleth.idp.saml.saml2.profile.impl with type parameters of type LogoutPropagationContext
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,LogoutPropagationContext>`
SOAPLogoutRequest.`propagationContextLookupStrategy`
Lookup strategy for context in which to report result.
Method parameters in net.shibboleth.idp.saml.saml2.profile.impl with type arguments of type LogoutPropagationContext
Modifier and Type
Method
Description
`void`
SOAPLogoutRequest.`setPropagationContextLookupStrategy(Function<ProfileRequestContext,LogoutPropagationContext> strategy)`
Set the lookup strategy for the `LogoutPropagationContext` to update.

## Uses of LogoutPropagationContext in net.shibboleth.idp.saml.session.impl

Fields in net.shibboleth.idp.saml.session.impl with type parameters of type LogoutPropagationContext
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,LogoutPropagationContext>`
BestMatchLocationLookupStrategy.`logoutPropagationContextLookupStrategy`
Lookup strategy for context.
`private Function<ProfileRequestContext,LogoutPropagationContext>`
AddLogoutRequest.`logoutPropContextLookupStrategy`
Logout propagation context lookup strategy.
`private Function<ProfileRequestContext,LogoutPropagationContext>`
PrepareInboundMessageContext.`logoutPropContextLookupStrategy`
Logout propagation context lookup strategy.
Method parameters in net.shibboleth.idp.saml.session.impl with type arguments of type LogoutPropagationContext
Modifier and Type
Method
Description
`void`
BestMatchLocationLookupStrategy.`setLogoutContextLookupStrategy(Function<ProfileRequestContext,LogoutPropagationContext> strategy)`
Set the lookup strategy for the `LogoutPropagationContext` to access.
`void`
AddLogoutRequest.`setLogoutPropagationContextLookupStrategy(Function<ProfileRequestContext,LogoutPropagationContext> strategy)`
Set the logout propagation context lookup strategy.
`void`
PrepareInboundMessageContext.`setLogoutPropagationContextLookupStrategy(Function<ProfileRequestContext,LogoutPropagationContext> strategy)`
Set the logout propagation context lookup strategy.

## Uses of LogoutPropagationContext in net.shibboleth.idp.session.impl

Fields in net.shibboleth.idp.session.impl with type parameters of type LogoutPropagationContext
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,LogoutPropagationContext>`
PopulateLogoutPropagationContext.`contextCreationStrategy`
Lookup/creation function for LogoutPropagationContext.
`private Function<ProfileRequestContext,LogoutPropagationContext>`
SelectLogoutPropagationFlow.`logoutPropagationContextFunction`
Function to retrieve LogoutPropagationContext from context tree.
Method parameters in net.shibboleth.idp.session.impl with type arguments of type LogoutPropagationContext
Modifier and Type
Method
Description
`void`
PopulateLogoutPropagationContext.`setLogoutPropagationContextCreationStrategy(Function<ProfileRequestContext,LogoutPropagationContext> strategy)`
Set the creation/lookup strategy for the `LogoutPropagationContext`.
`void`
SelectLogoutPropagationFlow.`setLogoutPropagationContextFunction(Function<ProfileRequestContext,LogoutPropagationContext> function)`
Sets the function used to retrieve the `LogoutPropagationContext` from the context tree.